Package com.emc.d2fs.interfaces

# Interface IHyperlinkService

All Superinterfaces:
  `ID2fsService`

public interface IHyperlinkService extends ID2fsService
Hyperlink services.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARG_D2_LINK_TYPE`
  link_type
  `static final String`
  `ARG_DEST_DOC_CHRON_ID`
  dest_doc_chron_id
  `static final String`
  `ARG_DEST_DOC_VERSION`
  dest_version
  `static final String`
  `ARG_DEST_NUM_PAGE`
  dest_page
  `static final String`
  `ARG_SELECTED_VALUE`
  tree-hyperlinks-selected-value
  `static final String`
  `ARG_SRC_DOC_CHRON_ID`
  src_doc_chron_id
  `static final String`
  `ARG_TREE_VALUES`
  tree-hyperlinks-values

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `cancelCheckoutPdfFile(Context context, String id)`
  cancelCheckout Pdf File for specified object id
  `List<Attribute>`
  `checkoutPdfFile(Context context, String id, List<Attribute> parameters)`
  Checkout Pdf File for specified object id
  `String`
  `createHyperlink(Context context, String id, List<Attribute> parameters)`
  Create hyperlink on destination document
  `boolean`
  `deleteHyperlink(Context context, String id, List<Attribute> parameters)`
  Delete hyperlink
  `List<String>`
  `getCheckinPdfFileUrls(Context context, String id, List<Attribute> parameters)`
  Get checkin urls for specified object id
  `List<String>`
  `getDestinationUrls(Context context, String id, List<Attribute> parameters)`
  Get destination urls for specified object id so one can download/open the document
  `void`
  `setBaseUrl(String url)`
  Set server base url used to build the url for `getDownloadUrls` or `getUploadUrls`
  `boolean`
  `setDestinationVersion(Context context, String id, String version)`
  change Version of the destination document
  `boolean`
  `shiftDestinationPage(Context context, String id, int shiftPage, String orientationPageShifting)`
  Shift page of the destination document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Field Details

  - ### ARG_SRC_DOC_CHRON_ID

    static final String ARG_SRC_DOC_CHRON_ID
    src_doc_chron_id
    See Also:
      - Constant Field Values

  - ### ARG_DEST_DOC_CHRON_ID

    static final String ARG_DEST_DOC_CHRON_ID
    dest_doc_chron_id
    See Also:
      - Constant Field Values

  - ### ARG_DEST_DOC_VERSION

    static final String ARG_DEST_DOC_VERSION
    dest_version
    See Also:
      - Constant Field Values

  - ### ARG_DEST_NUM_PAGE

    static final String ARG_DEST_NUM_PAGE
    dest_page
    See Also:
      - Constant Field Values

  - ### ARG_SELECTED_VALUE

    static final String ARG_SELECTED_VALUE
    tree-hyperlinks-selected-value
    See Also:
      - Constant Field Values

  - ### ARG_TREE_VALUES

    static final String ARG_TREE_VALUES
    tree-hyperlinks-values
    See Also:
      - Constant Field Values

  - ### ARG_D2_LINK_TYPE

    static final String ARG_D2_LINK_TYPE
    link_type
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setBaseUrl

    void setBaseUrl(String url)
    Set server base url used to build the url for `getDownloadUrls` or `getUploadUrls`
    Parameters:
      `url` - String value of base url
    Since:
      4.5.0 P03

  - ### checkoutPdfFile

    List<Attribute> checkoutPdfFile(Context context, String id, List<Attribute> parameters) throws Exception
    Checkout Pdf File for specified object id
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of parameters
      It can contain the following attribute names:
      - format : String value of file format
      - pageNumber : Integer value of page number (to get only one specific page)
      - pageModifier : String value of page modifier (key for specific render)
      - event_name : String value of event type name (view, edit or print)
      - contentId : (optional) Id of dmrContent from which to calculate the format
    Returns:
      Attribute list of parameters to pass on the download
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### getCheckinPdfFileUrls

    List<String> getCheckinPdfFileUrls(Context context, String id, List<Attribute> parameters) throws Exception
    Get checkin urls for specified object id
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of parameters
      It can contain the following attribute names:
      - format : String value of file format
      - pageNumber : Integer value of page number (to get only one specific page)
      - pageModifier : String value of page modifier (key for specific render)
      - event_name : String value of event type name (view, edit or print)
      - contentId : (optional) Id of dmrContent from which to calculate the format
    Returns:
      String list of urls
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### getDestinationUrls

    List<String> getDestinationUrls(Context context, String id, List<Attribute> parameters) throws Exception
    Get destination urls for specified object id so one can download/open the document
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of parameters
      It can contain the following attribute names:
      - format : String value of file format
      - pageNumber : Integer value of page number (to get only one specific page)
      - pageModifier : String value of page modifier (key for specific render)
      - event_name : String value of event type name (view, edit or print)
      - contentId : (optional) Id of dmrContent from which to calculate the format
    Returns:
      String list of urls
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### cancelCheckoutPdfFile

    boolean cancelCheckoutPdfFile(Context context, String id) throws Exception
    cancelCheckout Pdf File for specified object id
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
    Returns:
      boolean if operation was a success.
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### setDestinationVersion

    boolean setDestinationVersion(Context context, String id, String version) throws Exception
    change Version of the destination document
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
      `version` - String value for the new version
    Returns:
      boolean if operation was a success.
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### deleteHyperlink

    boolean deleteHyperlink(Context context, String id, List<Attribute> parameters) throws Exception
    Delete hyperlink
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of parameters
    Returns:
      boolean if operation was a success.
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### shiftDestinationPage

    boolean shiftDestinationPage(Context context, String id, int shiftPage, String orientationPageShifting) throws Exception
    Shift page of the destination document
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of document id
      `shiftPage` - Integer value for the page, should be an existing page or it will default to 1
      `orientationPageShifting` - String value for the orientation: target
    Returns:
      boolean if operation was a success.
    Throws:
      `Exception`
    Since:
      4.5.0 P03

  - ### createHyperlink

    String createHyperlink(Context context, String id, List<Attribute> parameters) throws Exception
    Create hyperlink on destination document
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String value of source document id
      `parameters` - `Attribute` list of parameters
      It can contain the following attribute names:
      - src_doc_chron_id : Id of source document (chronicle id)
      - dest_doc_chron_id : Id of destination document (chronicle id)
      - dest_version : String value of destination document's version
      - dest_page : (Optional - default to 0) String value of target document's page
      - link_type : Integer value of link type (0 to Office, 1 to PDF, 2 on PDF )
      - dest_bookmark : (Optional - Use only on link_type to PDF - default to empty) String value of target document's bookmark
      - bookmarkPath : (Optional - Use only on link_type to PDF - default to empty) String value of target document's bookmark path
    Returns:
      String url of the Hyperlink
    Throws:
      `Exception`
    Since:
      4.5.0 P03